> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Archive files

POST https://{tenant_name}.benchling.com/api/v2/files:archive
Content-Type: application/json

Archive files

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/files/archive-files

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a FilesArchive.

- `fileIds` (list of string, required)
- `reason` (enum, required) — The reason for archiving the provided Files. Accepted reasons may differ based on tenant configuration.
  - Allowed values: `Made in error`, `Archived`, `Other`

## Response

### 200

OK

- `fileIds` (list of string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Request**

```json
{
  "fileIds": [
    "string"
  ],
  "reason": "Made in error"
}
```

**Response**

```json
{
  "fileIds": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/files:archive"

payload = {
    "fileIds": ["string"],
    "reason": "Made in error"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/files:archive';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"fileIds":["string"],"reason":"Made in error"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```